<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс Settings</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Открытые слоты</a> &#124;
<a href="#signals">Сигналы</a> &#124;
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="#pri-attribs">Закрытые данные</a> &#124;
<a href="classSettings-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс Settings</div>  </div>
</div><!--header-->
<div class="contents">

<p>Класс для хранения, загрузки и сохранения настроек  
 <a href="classSettings.html#details">Подробнее...</a></p>

<p><code>#include &lt;<a class="el" href="settings_8h_source.html">settings.h</a>&gt;</code></p>
<div class="dynheader">
Граф наследования:Settings:</div>
<div class="dyncontent">
<div class="center"><img src="classSettings__inherit__graph.png" border="0" usemap="#Settings_inherit__map" alt="Inheritance graph"/></div>
<map name="Settings_inherit__map" id="Settings_inherit__map">
<area shape="rect" title="Класс для хранения, загрузки и сохранения настроек" alt="" coords="5,80,80,107"/>
<area shape="rect" title=" " alt="" coords="5,5,80,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса Settings:</div>
<div class="dyncontent">
<div class="center"><img src="classSettings__coll__graph.png" border="0" usemap="#Settings_coll__map" alt="Collaboration graph"/></div>
<map name="Settings_coll__map" id="Settings_coll__map">
<area shape="rect" title="Класс для хранения, загрузки и сохранения настроек" alt="" coords="5,80,80,107"/>
<area shape="rect" title=" " alt="" coords="5,5,80,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Открытые слоты</h2></td></tr>
<tr class="memitem:a2d965ef0a054b61050811b416c896ed4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">loadSettings</a> ()</td></tr>
<tr class="memdesc:a2d965ef0a054b61050811b416c896ed4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Загрузка настроек  <a href="classSettings.html#a2d965ef0a054b61050811b416c896ed4">Подробнее...</a><br /></td></tr>
<tr class="separator:a2d965ef0a054b61050811b416c896ed4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd6caa5bebbe234bdd8dd3e1e67f2500"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#acd6caa5bebbe234bdd8dd3e1e67f2500">generateSettings</a> ()</td></tr>
<tr class="separator:acd6caa5bebbe234bdd8dd3e1e67f2500"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d81075f0173dda77ecdd226274156b7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a6d81075f0173dda77ecdd226274156b7">saveSettings</a> (bool BsilentMode, bool btrayMode, bool bdarkMode, QString shortcut, QString language)</td></tr>
<tr class="memdesc:a6d81075f0173dda77ecdd226274156b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Сохранение настроек  <a href="classSettings.html#a6d81075f0173dda77ecdd226274156b7">Подробнее...</a><br /></td></tr>
<tr class="separator:a6d81075f0173dda77ecdd226274156b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab9609d2e476883d0bec2b61d6bf2e3f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aab9609d2e476883d0bec2b61d6bf2e3f">setStartWindowViewed</a> (bool viewing)</td></tr>
<tr class="separator:aab9609d2e476883d0bec2b61d6bf2e3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe7ca0e2fe2bc2d05e768f75cd0dec12"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#afe7ca0e2fe2bc2d05e768f75cd0dec12">setSilentMode</a> (bool mode)</td></tr>
<tr class="memdesc:afe7ca0e2fe2bc2d05e768f75cd0dec12"><td class="mdescLeft">&#160;</td><td class="mdescRight">сеттер для silentMode.  <a href="classSettings.html#afe7ca0e2fe2bc2d05e768f75cd0dec12">Подробнее...</a><br /></td></tr>
<tr class="separator:afe7ca0e2fe2bc2d05e768f75cd0dec12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe5d042afbbaf165a803b92ac7f1251"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a4fe5d042afbbaf165a803b92ac7f1251">setTrayMode</a> (bool mode)</td></tr>
<tr class="memdesc:a4fe5d042afbbaf165a803b92ac7f1251"><td class="mdescLeft">&#160;</td><td class="mdescRight">сеттер для trayMode.  <a href="classSettings.html#a4fe5d042afbbaf165a803b92ac7f1251">Подробнее...</a><br /></td></tr>
<tr class="separator:a4fe5d042afbbaf165a803b92ac7f1251"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5007c1f43dec283e73582bade728ae29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a5007c1f43dec283e73582bade728ae29">setDarkMode</a> (bool mode)</td></tr>
<tr class="memdesc:a5007c1f43dec283e73582bade728ae29"><td class="mdescLeft">&#160;</td><td class="mdescRight">сеттер для darkMode.  <a href="classSettings.html#a5007c1f43dec283e73582bade728ae29">Подробнее...</a><br /></td></tr>
<tr class="separator:a5007c1f43dec283e73582bade728ae29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2b28d7e0f01ccb848f26e6ae74095d8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#ab2b28d7e0f01ccb848f26e6ae74095d8">setActiveLanguage</a> (QString language)</td></tr>
<tr class="memdesc:ab2b28d7e0f01ccb848f26e6ae74095d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">сеттер для activeLanguage.  <a href="classSettings.html#ab2b28d7e0f01ccb848f26e6ae74095d8">Подробнее...</a><br /></td></tr>
<tr class="separator:ab2b28d7e0f01ccb848f26e6ae74095d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c4da641b07ca5f093c58594a90e89e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a0c4da641b07ca5f093c58594a90e89e3">setAppActivation</a> (QString shortcut)</td></tr>
<tr class="memdesc:a0c4da641b07ca5f093c58594a90e89e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">сеттер для appActivation.  <a href="classSettings.html#a0c4da641b07ca5f093c58594a90e89e3">Подробнее...</a><br /></td></tr>
<tr class="separator:a0c4da641b07ca5f093c58594a90e89e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a312297debb63e773bb30f1da516202d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a312297debb63e773bb30f1da516202d0">getStartWindowViewed</a> ()</td></tr>
<tr class="memdesc:a312297debb63e773bb30f1da516202d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для startWindowViewed.  <a href="classSettings.html#a312297debb63e773bb30f1da516202d0">Подробнее...</a><br /></td></tr>
<tr class="separator:a312297debb63e773bb30f1da516202d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0d5f2fa5a1a75a33d7979cb1ddba1d8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">getSilentMode</a> ()</td></tr>
<tr class="memdesc:aa0d5f2fa5a1a75a33d7979cb1ddba1d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для silentMode.  <a href="classSettings.html#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">Подробнее...</a><br /></td></tr>
<tr class="separator:aa0d5f2fa5a1a75a33d7979cb1ddba1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab60d6fbdcf97c8da1586dba04bea6c5d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#ab60d6fbdcf97c8da1586dba04bea6c5d">getTrayMode</a> ()</td></tr>
<tr class="memdesc:ab60d6fbdcf97c8da1586dba04bea6c5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для trayMode.  <a href="classSettings.html#ab60d6fbdcf97c8da1586dba04bea6c5d">Подробнее...</a><br /></td></tr>
<tr class="separator:ab60d6fbdcf97c8da1586dba04bea6c5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af36ee97fd98f37cb27daeac37ccd8659"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#af36ee97fd98f37cb27daeac37ccd8659">getDarkMode</a> ()</td></tr>
<tr class="memdesc:af36ee97fd98f37cb27daeac37ccd8659"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для darkMode.  <a href="classSettings.html#af36ee97fd98f37cb27daeac37ccd8659">Подробнее...</a><br /></td></tr>
<tr class="separator:af36ee97fd98f37cb27daeac37ccd8659"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afed5e6863bd0eacfa3c2e430acf12210"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#afed5e6863bd0eacfa3c2e430acf12210">getActiveLanguage</a> ()</td></tr>
<tr class="memdesc:afed5e6863bd0eacfa3c2e430acf12210"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для activeLanguage.  <a href="classSettings.html#afed5e6863bd0eacfa3c2e430acf12210">Подробнее...</a><br /></td></tr>
<tr class="separator:afed5e6863bd0eacfa3c2e430acf12210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5d84019954f49bc30beb8b9b6827156"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">getAppActivation</a> ()</td></tr>
<tr class="memdesc:aa5d84019954f49bc30beb8b9b6827156"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для appActivation.  <a href="classSettings.html#aa5d84019954f49bc30beb8b9b6827156">Подробнее...</a><br /></td></tr>
<tr class="separator:aa5d84019954f49bc30beb8b9b6827156"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a4ead8821b8b1e89e195713effc2a97"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a9a4ead8821b8b1e89e195713effc2a97">getErrorText</a> ()</td></tr>
<tr class="memdesc:a9a4ead8821b8b1e89e195713effc2a97"><td class="mdescLeft">&#160;</td><td class="mdescRight">геттер для errorText.  <a href="classSettings.html#a9a4ead8821b8b1e89e195713effc2a97">Подробнее...</a><br /></td></tr>
<tr class="separator:a9a4ead8821b8b1e89e195713effc2a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:a130fcb4d32379104628686cc96f127c1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a130fcb4d32379104628686cc96f127c1">languageChanged</a> ()</td></tr>
<tr class="separator:a130fcb4d32379104628686cc96f127c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a1e896d056c0e8b238a4ab15a92a07"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#af8a1e896d056c0e8b238a4ab15a92a07">themeChanged</a> ()</td></tr>
<tr class="separator:af8a1e896d056c0e8b238a4ab15a92a07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d3121abd6a8dd63e2078b61c26b09f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a5d3121abd6a8dd63e2078b61c26b09f8">trayModeChanged</a> ()</td></tr>
<tr class="separator:a5d3121abd6a8dd63e2078b61c26b09f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:ab7169a6eefce79566dd07db3b1e5e967"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#ab7169a6eefce79566dd07db3b1e5e967">Settings</a> ()</td></tr>
<tr class="memdesc:ab7169a6eefce79566dd07db3b1e5e967"><td class="mdescLeft">&#160;</td><td class="mdescRight">Конструктор <a class="el" href="classSettings.html" title="Класс для хранения, загрузки и сохранения настроек">Settings</a>.  <a href="classSettings.html#ab7169a6eefce79566dd07db3b1e5e967">Подробнее...</a><br /></td></tr>
<tr class="separator:ab7169a6eefce79566dd07db3b1e5e967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b859488e483ea2ee621711c4a844a7d"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a9b859488e483ea2ee621711c4a844a7d">getEmptyString</a> ()</td></tr>
<tr class="memdesc:a9b859488e483ea2ee621711c4a844a7d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение пустой строки  <a href="classSettings.html#a9b859488e483ea2ee621711c4a844a7d">Подробнее...</a><br /></td></tr>
<tr class="separator:a9b859488e483ea2ee621711c4a844a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78862e4cb646b76d5bdb9f4252697161"><td class="memItemLeft" align="right" valign="top">Q_INVOKABLE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">selectLanguage</a> (QString language)</td></tr>
<tr class="memdesc:a78862e4cb646b76d5bdb9f4252697161"><td class="mdescLeft">&#160;</td><td class="mdescRight">Выбор языка  <a href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">Подробнее...</a><br /></td></tr>
<tr class="separator:a78862e4cb646b76d5bdb9f4252697161"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a0151f44f2eba8b26213d3cf1b38ddfc7"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a0151f44f2eba8b26213d3cf1b38ddfc7">emptyString</a></td></tr>
<tr class="separator:a0151f44f2eba8b26213d3cf1b38ddfc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Закрытые данные</h2></td></tr>
<tr class="memitem:a150c10165fafb4eb5c5c6c1150d87b7c"><td class="memItemLeft" align="right" valign="top">QTranslator *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a></td></tr>
<tr class="memdesc:a150c10165fafb4eb5c5c6c1150d87b7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Указатель на экземпляр QTranslator.  <a href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">Подробнее...</a><br /></td></tr>
<tr class="separator:a150c10165fafb4eb5c5c6c1150d87b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d6aa1079d0a45c0c5ce93a9cb09bfe6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a> = false</td></tr>
<tr class="memdesc:a6d6aa1079d0a45c0c5ce93a9cb09bfe6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, означающий, открыло ли окно приветствия - по умолчанию - закрыто  <a href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">Подробнее...</a><br /></td></tr>
<tr class="separator:a6d6aa1079d0a45c0c5ce93a9cb09bfe6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab73566b9c6e8045aa38e8bc3ab07ab5d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> = false</td></tr>
<tr class="memdesc:ab73566b9c6e8045aa38e8bc3ab07ab5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, означающий, включен ли режим "без звука" - по умолчанию - выключен  <a href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">Подробнее...</a><br /></td></tr>
<tr class="separator:ab73566b9c6e8045aa38e8bc3ab07ab5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9417e5e3b0429b7d9407ee4e79727bdc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> = false</td></tr>
<tr class="memdesc:a9417e5e3b0429b7d9407ee4e79727bdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, означающий, включен ли режим сворачивания в трей - по умолчанию - выключен  <a href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">Подробнее...</a><br /></td></tr>
<tr class="separator:a9417e5e3b0429b7d9407ee4e79727bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d77974e0735f708db0ff831be7ccfa2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> = true</td></tr>
<tr class="memdesc:a4d77974e0735f708db0ff831be7ccfa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, означающий, включена ли темная тема - по умолчанию - включена  <a href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">Подробнее...</a><br /></td></tr>
<tr class="separator:a4d77974e0735f708db0ff831be7ccfa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e5a533cb7343339c9f1c260099adbed"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> = &quot;en&quot;</td></tr>
<tr class="memdesc:a3e5a533cb7343339c9f1c260099adbed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, язык приложения - по умолчанию - английский  <a href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">Подробнее...</a><br /></td></tr>
<tr class="separator:a3e5a533cb7343339c9f1c260099adbed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b723dedb74abca1922f284e2bdd9dd9"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> = &quot;Ctrl+Alt+H&quot;</td></tr>
<tr class="memdesc:a8b723dedb74abca1922f284e2bdd9dd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Параметр, сочетание клавиш для активации приложения - по умолчанию - Ctrl+Alt+H.  <a href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">Подробнее...</a><br /></td></tr>
<tr class="separator:a8b723dedb74abca1922f284e2bdd9dd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acde00ff3e48abd95b59c8a42866db0b8"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a></td></tr>
<tr class="memdesc:acde00ff3e48abd95b59c8a42866db0b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текст ошибки  <a href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">Подробнее...</a><br /></td></tr>
<tr class="separator:acde00ff3e48abd95b59c8a42866db0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Класс для хранения, загрузки и сохранения настроек </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00011">11</a></p>
</div><h2 class="groupheader">Конструктор(ы)</h2>
<a id="ab7169a6eefce79566dd07db3b1e5e967"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7169a6eefce79566dd07db3b1e5e967">&#9670;&nbsp;</a></span>Settings()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Settings::Settings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Конструктор <a class="el" href="classSettings.html" title="Класс для хранения, загрузки и сохранения настроек">Settings</a>. </p>
<p>Выполняется создания переводчика </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00014">14</a></p>
<div class="fragment"><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;{</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a> = <span class="keyword">new</span> QTranslator(<span class="keyword">this</span>);</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <span class="comment">//translator2 = new QTranslator(this);</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00046">translator1</a>.</p>

</div>
</div>
<h2 class="groupheader">Методы</h2>
<a id="acd6caa5bebbe234bdd8dd3e1e67f2500"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd6caa5bebbe234bdd8dd3e1e67f2500">&#9670;&nbsp;</a></span>generateSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::generateSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00091">91</a></p>
<div class="fragment"><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                               {</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160; </div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::WriteOnly))</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    {</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;        <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a> = QCoreApplication::tr(<span class="stringliteral">&quot;Failed to save settings: configuration file is not writable&quot;</span>);</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    {</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        f.resize(0);</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        qts &lt;&lt; <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        f.close();</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    }</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00056">activeLanguage</a>, <a class="el" href="settings_8h_source.html#l00058">appActivation</a>, <a class="el" href="settings_8h_source.html#l00054">darkMode</a>, <a class="el" href="settings_8h_source.html#l00060">errorText</a>, <a class="el" href="settings_8h_source.html#l00050">silentMode</a>, <a class="el" href="settings_8h_source.html#l00048">startWindowViewed</a> и <a class="el" href="settings_8h_source.html#l00052">trayMode</a>.</p>

</div>
</div>
<a id="afed5e6863bd0eacfa3c2e430acf12210"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afed5e6863bd0eacfa3c2e430acf12210">&#9670;&nbsp;</a></span>getActiveLanguage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::getActiveLanguage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для activeLanguage. </p>
<dl class="section return"><dt>Возвращает</dt><dd>activeLanguage </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00228">228</a></p>
<div class="fragment"><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                                    {</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a>;</div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00056">activeLanguage</a>.</p>

</div>
</div>
<a id="aa5d84019954f49bc30beb8b9b6827156"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5d84019954f49bc30beb8b9b6827156">&#9670;&nbsp;</a></span>getAppActivation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::getAppActivation </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для appActivation. </p>
<dl class="section return"><dt>Возвращает</dt><dd>appActivation </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00220">220</a></p>
<div class="fragment"><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;                                   {</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a>;</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00058">appActivation</a>.</p>

<p class="reference">Используется в <a class="el" href="main_8cpp_source.html#l00022">main()</a>.</p>

</div>
</div>
<a id="af36ee97fd98f37cb27daeac37ccd8659"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af36ee97fd98f37cb27daeac37ccd8659">&#9670;&nbsp;</a></span>getDarkMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::getDarkMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для darkMode. </p>
<dl class="section return"><dt>Возвращает</dt><dd>darkMode </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00212">212</a></p>
<div class="fragment"><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;                           {</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a>;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00054">darkMode</a>.</p>

</div>
</div>
<a id="a9b859488e483ea2ee621711c4a844a7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b859488e483ea2ee621711c4a844a7d">&#9670;&nbsp;</a></span>getEmptyString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::getEmptyString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение пустой строки </p>
<dl class="section return"><dt>Возвращает</dt><dd>пустая строка </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00024">24</a></p>
<div class="fragment"><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;}</div>
</div><!-- fragment -->
</div>
</div>
<a id="a9a4ead8821b8b1e89e195713effc2a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a4ead8821b8b1e89e195713effc2a97">&#9670;&nbsp;</a></span>getErrorText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::getErrorText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для errorText. </p>
<dl class="section return"><dt>Возвращает</dt><dd>errorText </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00236">236</a></p>
<div class="fragment"><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;                               {</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a>;</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00060">errorText</a>.</p>

</div>
</div>
<a id="aa0d5f2fa5a1a75a33d7979cb1ddba1d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0d5f2fa5a1a75a33d7979cb1ddba1d8">&#9670;&nbsp;</a></span>getSilentMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::getSilentMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для silentMode. </p>
<dl class="section return"><dt>Возвращает</dt><dd>silentMode </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00196">196</a></p>
<div class="fragment"><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;                             {</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a>;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00050">silentMode</a>.</p>

</div>
</div>
<a id="a312297debb63e773bb30f1da516202d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a312297debb63e773bb30f1da516202d0">&#9670;&nbsp;</a></span>getStartWindowViewed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::getStartWindowViewed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для startWindowViewed. </p>
<dl class="section return"><dt>Возвращает</dt><dd>startWindowViewed </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00188">188</a></p>
<div class="fragment"><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;                                    {</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00048">startWindowViewed</a>.</p>

</div>
</div>
<a id="ab60d6fbdcf97c8da1586dba04bea6c5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab60d6fbdcf97c8da1586dba04bea6c5d">&#9670;&nbsp;</a></span>getTrayMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::getTrayMode </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>геттер для trayMode. </p>
<dl class="section return"><dt>Возвращает</dt><dd>trayMode </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00204">204</a></p>
<div class="fragment"><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;                           {</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a>;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00052">trayMode</a>.</p>

</div>
</div>
<a id="a130fcb4d32379104628686cc96f127c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a130fcb4d32379104628686cc96f127c1">&#9670;&nbsp;</a></span>languageChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::languageChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00034">selectLanguage()</a>.</p>

</div>
</div>
<a id="a2d965ef0a054b61050811b416c896ed4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d965ef0a054b61050811b416c896ed4">&#9670;&nbsp;</a></span>loadSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::loadSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Загрузка настроек </p>
<dl class="section return"><dt>Возвращает</dt><dd>успешно / не успешно </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00053">53</a></p>
<div class="fragment"><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;                            {</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::ReadOnly))</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    {</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to load settings: configuration file is not readable; default settings selected.&quot;</span>);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    }</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    {</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        QString data = qts.readAll();</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;        <span class="keyword">auto</span> mData = data.split(QRegExp(<span class="stringliteral">&quot;[\r\n]&quot;</span>),Qt::SkipEmptyParts);</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <span class="keywordflow">if</span> (mData.length() &lt; 5)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        {</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="comment">//errorText = QCoreApplication::tr(&quot;Не удалось загрузить настройки: файл конфигурации не доступен для записи&quot;);</span></div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;            qDebug() &lt;&lt; QCoreApplication::tr(<span class="stringliteral">&quot;Failed to load custom settings: default settings selected.&quot;</span>);</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            f.close();</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        }</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">else</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        {</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;            <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> = (mData[0] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;            <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> = (mData[1] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> = mData[2];</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> = mData[3];</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;            <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> = (mData[4] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a> = (mData[5] == <span class="stringliteral">&quot;1&quot;</span>) ? <span class="keyword">true</span> : <span class="keyword">false</span>;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <a class="code" href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">selectLanguage</a>(<a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a>);</div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;            f.close();</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        }</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    }</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00056">activeLanguage</a>, <a class="el" href="settings_8h_source.html#l00058">appActivation</a>, <a class="el" href="settings_8h_source.html#l00054">darkMode</a>, <a class="el" href="settings_8cpp_source.html#l00034">selectLanguage()</a>, <a class="el" href="settings_8h_source.html#l00050">silentMode</a>, <a class="el" href="settings_8h_source.html#l00048">startWindowViewed</a> и <a class="el" href="settings_8h_source.html#l00052">trayMode</a>.</p>

<p class="reference">Используется в <a class="el" href="main_8cpp_source.html#l00022">main()</a>.</p>

</div>
</div>
<a id="a6d81075f0173dda77ecdd226274156b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d81075f0173dda77ecdd226274156b7">&#9670;&nbsp;</a></span>saveSettings</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::saveSettings </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bsilentMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>btrayMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>bdarkMode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>shortcut</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>language</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Сохранение настроек </p>
<dl class="section return"><dt>Возвращает</dt><dd>успешно / не успешно </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00115">115</a></p>
<div class="fragment"><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;                                                                                                                {</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    QFile f(<span class="stringliteral">&quot;settings.conf&quot;</span>);</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160; </div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <span class="keywordflow">if</span> (!f.open(QIODevice::WriteOnly))</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    {</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <a class="code" href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">errorText</a> = QCoreApplication::tr(<span class="stringliteral">&quot;Failed to save settings: configuration file is not writable&quot;</span>);</div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    }</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordflow">else</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    {</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        f.resize(0);</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        QTextStream qts(&amp;f);</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        qts &lt;&lt; bsilentMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; btrayMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; shortcut &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; language &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; bdarkMode &lt;&lt; <span class="charliteral">&#39;\n&#39;</span> &lt;&lt; <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        f.close();</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    }</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00060">errorText</a> и <a class="el" href="settings_8h_source.html#l00048">startWindowViewed</a>.</p>

</div>
</div>
<a id="a78862e4cb646b76d5bdb9f4252697161"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78862e4cb646b76d5bdb9f4252697161">&#9670;&nbsp;</a></span>selectLanguage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Q_INVOKABLE void Settings::selectLanguage </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>language</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Выбор языка </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">language</td><td>Выбираемый язык </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00034">34</a></p>
<div class="fragment"><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;                                                          {</div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; <span class="keywordflow">if</span>(language == QString(<span class="stringliteral">&quot;ru&quot;</span>)) {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>-&gt;load(<span class="stringliteral">&quot;QtLanguage_ru&quot;</span>, <span class="stringliteral">&quot;.&quot;</span>);</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;  qApp-&gt;installTranslator(<a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>);</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; }</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; <span class="keywordflow">if</span>(language == QString(<span class="stringliteral">&quot;en&quot;</span>)) {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  qApp-&gt;removeTranslator(<a class="code" href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">translator1</a>);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; emit <a class="code" href="classSettings.html#a130fcb4d32379104628686cc96f127c1">languageChanged</a>();</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="classSettings.html#a130fcb4d32379104628686cc96f127c1">languageChanged()</a> и <a class="el" href="settings_8h_source.html#l00046">translator1</a>.</p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a>.</p>

</div>
</div>
<a id="ab2b28d7e0f01ccb848f26e6ae74095d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2b28d7e0f01ccb848f26e6ae74095d8">&#9670;&nbsp;</a></span>setActiveLanguage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setActiveLanguage </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>language</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>сеттер для activeLanguage. </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">language</td><td>языка интерфейса </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00179">179</a></p>
<div class="fragment"><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;                                                 {</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <a class="code" href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">activeLanguage</a> = language;</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00056">activeLanguage</a>.</p>

</div>
</div>
<a id="a0c4da641b07ca5f093c58594a90e89e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c4da641b07ca5f093c58594a90e89e3">&#9670;&nbsp;</a></span>setAppActivation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setAppActivation </td>
          <td>(</td>
          <td class="paramtype">QString&#160;</td>
          <td class="paramname"><em>shortcut</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>сеттер для appActivation. </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">shortcut</td><td>сочетание клавиш для активации приложения </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00170">170</a></p>
<div class="fragment"><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                                                {</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    <a class="code" href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">appActivation</a> = shortcut;</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00058">appActivation</a>.</p>

</div>
</div>
<a id="a5007c1f43dec283e73582bade728ae29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5007c1f43dec283e73582bade728ae29">&#9670;&nbsp;</a></span>setDarkMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setDarkMode </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>сеттер для darkMode. </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>темная тема / светлая тема </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00161">161</a></p>
<div class="fragment"><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                                    {</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <a class="code" href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">darkMode</a> = mode;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00054">darkMode</a>.</p>

</div>
</div>
<a id="afe7ca0e2fe2bc2d05e768f75cd0dec12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe7ca0e2fe2bc2d05e768f75cd0dec12">&#9670;&nbsp;</a></span>setSilentMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setSilentMode </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>сеттер для silentMode. </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>со звуком / юез звука </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00143">143</a></p>
<div class="fragment"><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;                                      {</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    <a class="code" href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">silentMode</a> = mode;</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00050">silentMode</a>.</p>

</div>
</div>
<a id="aab9609d2e476883d0bec2b61d6bf2e3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab9609d2e476883d0bec2b61d6bf2e3f">&#9670;&nbsp;</a></span>setStartWindowViewed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setStartWindowViewed </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>viewing</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00133">133</a></p>
<div class="fragment"><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;                                                {</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <a class="code" href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">startWindowViewed</a> = viewing;</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00048">startWindowViewed</a>.</p>

</div>
</div>
<a id="a4fe5d042afbbaf165a803b92ac7f1251"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4fe5d042afbbaf165a803b92ac7f1251">&#9670;&nbsp;</a></span>setTrayMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::setTrayMode </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>сеттер для trayMode. </p>
<dl class="params"><dt>Аргументы</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td>с треем / без трея </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Возвращает</dt><dd>void </dd></dl>

<p class="definition">См. определение в файле <a class="el" href="settings_8cpp_source.html">settings.cpp</a> строка <a class="el" href="settings_8cpp_source.html#l00152">152</a></p>
<div class="fragment"><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                                    {</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    <a class="code" href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">trayMode</a> = mode;</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;}</div>
</div><!-- fragment -->
<p class="reference">Перекрестные ссылки <a class="el" href="settings_8h_source.html#l00052">trayMode</a>.</p>

</div>
</div>
<a id="af8a1e896d056c0e8b238a4ab15a92a07"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8a1e896d056c0e8b238a4ab15a92a07">&#9670;&nbsp;</a></span>themeChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::themeChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d3121abd6a8dd63e2078b61c26b09f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d3121abd6a8dd63e2078b61c26b09f8">&#9670;&nbsp;</a></span>trayModeChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Settings::trayModeChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Данные класса</h2>
<a id="a3e5a533cb7343339c9f1c260099adbed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e5a533cb7343339c9f1c260099adbed">&#9670;&nbsp;</a></span>activeLanguage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::activeLanguage = &quot;en&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, язык приложения - по умолчанию - английский </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00056">56</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00228">getActiveLanguage()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00179">setActiveLanguage()</a>.</p>

</div>
</div>
<a id="a8b723dedb74abca1922f284e2bdd9dd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b723dedb74abca1922f284e2bdd9dd9">&#9670;&nbsp;</a></span>appActivation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::appActivation = &quot;Ctrl+Alt+H&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, сочетание клавиш для активации приложения - по умолчанию - Ctrl+Alt+H. </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00058">58</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00220">getAppActivation()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00170">setAppActivation()</a>.</p>

</div>
</div>
<a id="a4d77974e0735f708db0ff831be7ccfa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4d77974e0735f708db0ff831be7ccfa2">&#9670;&nbsp;</a></span>darkMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::darkMode = true</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, означающий, включена ли темная тема - по умолчанию - включена </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00054">54</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00212">getDarkMode()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00161">setDarkMode()</a>.</p>

</div>
</div>
<a id="acde00ff3e48abd95b59c8a42866db0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acde00ff3e48abd95b59c8a42866db0b8">&#9670;&nbsp;</a></span>errorText</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::errorText</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Текст ошибки </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00060">60</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00236">getErrorText()</a> и <a class="el" href="settings_8cpp_source.html#l00115">saveSettings()</a>.</p>

</div>
</div>
<a id="ab73566b9c6e8045aa38e8bc3ab07ab5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab73566b9c6e8045aa38e8bc3ab07ab5d">&#9670;&nbsp;</a></span>silentMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::silentMode = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, означающий, включен ли режим "без звука" - по умолчанию - выключен </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00050">50</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00196">getSilentMode()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00143">setSilentMode()</a>.</p>

</div>
</div>
<a id="a6d6aa1079d0a45c0c5ce93a9cb09bfe6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">&#9670;&nbsp;</a></span>startWindowViewed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::startWindowViewed = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, означающий, открыло ли окно приветствия - по умолчанию - закрыто </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00048">48</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00188">getStartWindowViewed()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00115">saveSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00133">setStartWindowViewed()</a>.</p>

</div>
</div>
<a id="a150c10165fafb4eb5c5c6c1150d87b7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a150c10165fafb4eb5c5c6c1150d87b7c">&#9670;&nbsp;</a></span>translator1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QTranslator* Settings::translator1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Указатель на экземпляр QTranslator. </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00046">46</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00034">selectLanguage()</a> и <a class="el" href="settings_8cpp_source.html#l00014">Settings()</a>.</p>

</div>
</div>
<a id="a9417e5e3b0429b7d9407ee4e79727bdc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9417e5e3b0429b7d9407ee4e79727bdc">&#9670;&nbsp;</a></span>trayMode</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Settings::trayMode = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Параметр, означающий, включен ли режим сворачивания в трей - по умолчанию - выключен </p>

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00052">52</a></p>

<p class="reference">Используется в <a class="el" href="settings_8cpp_source.html#l00091">generateSettings()</a>, <a class="el" href="settings_8cpp_source.html#l00204">getTrayMode()</a>, <a class="el" href="settings_8cpp_source.html#l00053">loadSettings()</a> и <a class="el" href="settings_8cpp_source.html#l00152">setTrayMode()</a>.</p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a0151f44f2eba8b26213d3cf1b38ddfc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0151f44f2eba8b26213d3cf1b38ddfc7">&#9670;&nbsp;</a></span>emptyString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QString Settings::emptyString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">См. определение в файле <a class="el" href="settings_8h_source.html">settings.h</a> строка <a class="el" href="settings_8h_source.html#l00014">14</a></p>

</div>
</div>
<hr/>Объявления и описания членов классов находятся в файлах:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/include/<a class="el" href="settings_8h_source.html">settings.h</a></li>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="settings_8cpp_source.html">settings.cpp</a></li>
</ul>
</div><!-- contents -->
<div class="ttc" id="aclassSettings_html_a78862e4cb646b76d5bdb9f4252697161"><div class="ttname"><a href="classSettings.html#a78862e4cb646b76d5bdb9f4252697161">Settings::selectLanguage</a></div><div class="ttdeci">Q_INVOKABLE void selectLanguage(QString language)</div><div class="ttdoc">Выбор языка</div><div class="ttdef"><b>Definition:</b> <a href="settings_8cpp_source.html#l00034">settings.cpp:34</a></div></div>
<div class="ttc" id="aclassSettings_html_a130fcb4d32379104628686cc96f127c1"><div class="ttname"><a href="classSettings.html#a130fcb4d32379104628686cc96f127c1">Settings::languageChanged</a></div><div class="ttdeci">void languageChanged()</div></div>
<div class="ttc" id="aclassSettings_html_a6d6aa1079d0a45c0c5ce93a9cb09bfe6"><div class="ttname"><a href="classSettings.html#a6d6aa1079d0a45c0c5ce93a9cb09bfe6">Settings::startWindowViewed</a></div><div class="ttdeci">bool startWindowViewed</div><div class="ttdoc">Параметр, означающий, открыло ли окно приветствия - по умолчанию - закрыто</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00048">settings.h:48</a></div></div>
<div class="ttc" id="aclassSettings_html_a8b723dedb74abca1922f284e2bdd9dd9"><div class="ttname"><a href="classSettings.html#a8b723dedb74abca1922f284e2bdd9dd9">Settings::appActivation</a></div><div class="ttdeci">QString appActivation</div><div class="ttdoc">Параметр, сочетание клавиш для активации приложения - по умолчанию - Ctrl+Alt+H.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00058">settings.h:58</a></div></div>
<div class="ttc" id="aclassSettings_html_a150c10165fafb4eb5c5c6c1150d87b7c"><div class="ttname"><a href="classSettings.html#a150c10165fafb4eb5c5c6c1150d87b7c">Settings::translator1</a></div><div class="ttdeci">QTranslator * translator1</div><div class="ttdoc">Указатель на экземпляр QTranslator.</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00046">settings.h:46</a></div></div>
<div class="ttc" id="aclassSettings_html_a9417e5e3b0429b7d9407ee4e79727bdc"><div class="ttname"><a href="classSettings.html#a9417e5e3b0429b7d9407ee4e79727bdc">Settings::trayMode</a></div><div class="ttdeci">bool trayMode</div><div class="ttdoc">Параметр, означающий, включен ли режим сворачивания в трей - по умолчанию - выключен</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00052">settings.h:52</a></div></div>
<div class="ttc" id="aclassSettings_html_acde00ff3e48abd95b59c8a42866db0b8"><div class="ttname"><a href="classSettings.html#acde00ff3e48abd95b59c8a42866db0b8">Settings::errorText</a></div><div class="ttdeci">QString errorText</div><div class="ttdoc">Текст ошибки</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00060">settings.h:60</a></div></div>
<div class="ttc" id="aclassSettings_html_a3e5a533cb7343339c9f1c260099adbed"><div class="ttname"><a href="classSettings.html#a3e5a533cb7343339c9f1c260099adbed">Settings::activeLanguage</a></div><div class="ttdeci">QString activeLanguage</div><div class="ttdoc">Параметр, язык приложения - по умолчанию - английский</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00056">settings.h:56</a></div></div>
<div class="ttc" id="aclassSettings_html_ab73566b9c6e8045aa38e8bc3ab07ab5d"><div class="ttname"><a href="classSettings.html#ab73566b9c6e8045aa38e8bc3ab07ab5d">Settings::silentMode</a></div><div class="ttdeci">bool silentMode</div><div class="ttdoc">Параметр, означающий, включен ли режим &quot;без звука&quot; - по умолчанию - выключен</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00050">settings.h:50</a></div></div>
<div class="ttc" id="aclassSettings_html_a4d77974e0735f708db0ff831be7ccfa2"><div class="ttname"><a href="classSettings.html#a4d77974e0735f708db0ff831be7ccfa2">Settings::darkMode</a></div><div class="ttdeci">bool darkMode</div><div class="ttdoc">Параметр, означающий, включена ли темная тема - по умолчанию - включена</div><div class="ttdef"><b>Definition:</b> <a href="settings_8h_source.html#l00054">settings.h:54</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
